petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSAdaptSetSafety

Set safety factors

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptSetSafety(TSAdapt adapt,PetscReal safety,PetscReal reject_safety)

Logically collective on TSAdapt

### Input Arguments

| adapt | - adaptive controller context
| safety | - safety factor relative to target error/stability goal
| reject_safety | - extra safety factor to apply if the last step was rejected

### Options Database Keys

| -ts_adapt_safety <safety> | - to set safety factor
| -ts_adapt_reject_safety <reject_safety> | - to set reject safety factor

### See Also

TSAdapt, TSAdaptGetSafety(), TSAdaptChoose()

### Level

intermediate

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages